10.4.x

10.4.x: Mac Keylogger System Requirements

Compatibility: – Can be installed for all Mac users – Fully supports Mac OS 10.4.x, 10.5.x, 10.6.x, 10.7.x, 10.8.x and later– (Tiger , Leopard, Snow Leopard, Lion, Mountain Lion) – Universal build (for both Intel and Power PC) – Supports Macbook/iMac/PowerPC

Tags: , , , , , , , , ,
24/7 Email Support On-line Live Chat Why choose Amac Keylogger? Monday - Friday - 9AM to 6PM EST